Name:           jvnet-parent
Summary:        Java.net parent POM file
Version:        5
Release:        %mkrel 4
Group:          Development/Java
License:        ASL 2.0

URL:            https://www.java.net/
Source0:        https://repo1.maven.org/maven2/net/java/%{name}/%{version}/%{name}-%{version}.pom
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:      noarch

BuildRequires:  maven-local


%description
Java.net parent POM file used by most Java.net subprojects such as
Glassfish


%prep
cp -p %{SOURCE0} pom.xml
cp -p %{SOURCE1} LICENSE

# we provide correct version of maven, no need to enforce and pull in dependencies
%pom_remove_plugin org.apache.maven.plugins:maven-enforcer-plugin


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%doc LICENSE



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 5-4.mga10
+ Revision: 2223460
- Mageia 10 Mass Rebuild

* Fri May 24 2024 ns80 <ns80> 5-3.mga10
+ Revision: 2067317
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 5-2.mga9
+ Revision: 1827561
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 5-1.mga8
+ Revision: 1621820
- Update to version 5
- Rebuilt for JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 4-10.mga8
+ Revision: 1491360
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 4-9.mga7
+ Revision: 1263321
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 4-7.mga6
+ Revision: 976434
- First rebuild of the java stack
- sync package jvnet-parent with fedora
- imported package jvnet-parent

* Wed Oct 15 2014 umeabot <umeabot> 4-3.mga5
+ Revision: 744692
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Apr 04 2014 dmorgan <dmorgan> 4-1.mga5
+ Revision: 611662
- New version 4

* Fri Oct 18 2013 umeabot <umeabot> 3-5.mga4
+ Revision: 506521
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3-4.mga3
+ Revision: 355733
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 3-3.mga3
+ Revision: 292947
- Remove enforcer-plugin from pom (not needed)

* Sat Sep 08 2012 dmorgan <dmorgan> 3-2.mga3
+ Revision: 289971
- Remove maven from requires to simplify other deps

* Wed Jul 11 2012 dmorgan <dmorgan> 3-1.mga3
+ Revision: 269364
- New version 3

* Sat Dec 03 2011 gil <gil> 1-1.mga2
+ Revision: 175555
- imported package jvnet-parent


* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 4-4
- Rebuild to regenerate Maven auto-requires

* Wed May 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 4-3
- Rebuild to regenerate provides

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 02 2013 gil cattaneo <puntogil@libero.it> - 4-1
- Update to version 4

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 3-8
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jan 17 2013 Michal Srb <msrb@redhat.com> - 3-7
- Build with xmvn

* Wed Nov 21 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 3-6
- Add LICENSE-2.0.txt to lookaside cache

* Wed Nov 21 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 3-5
- Install LICENSE file
- Resolves: rhbz#878990

* Tue Jul 24 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3-4
- Remove enforcer-plugin from pom (not needed)

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Apr 26 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3-2
- Remove maven from requires to simplify other deps

* Wed Mar 21 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3-1
- Update to version 3

* Wed Mar 21 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1-1
- Initial version of the package
